/* jshint node:true */
/* globals phantom */

'use strict';

var fs = require('fs');
var page = require('webpage');

/**
 * @name phantomjs_config:
 *   Retrieve an object containing PhantomJS configuration
 *   settings and version information.
 */
var phantomjs_config = function () {

  var p = page.create();

  return {
    separator: fs.separator,
    libraryPath: p.libraryPath,
    userAgent: p.settings.userAgent,
    offlineStoragePath: p.offlineStoragePath,
    offlineStorageQuota: p.offlineStorageQuota,
    workingDirectory: fs.absolute(fs.workingDirectory)
  };
};

/**
 * @name onError:
 */
phantom.onError = function (_msg, _trace) {

  console.log('PhantomJS error:', _msg);
  console.log(_trace);
};

/**
 * @name main:
 */
var main = function () {

  console.log([
    'window.phantomjs_info = ',
      JSON.stringify(phantomjs_config()), ';'
  ].join(''));

  return 0;
};

/* Entry point */
phantom.exit(main());

