/* globals emit */

'use strict';

/**
 * @name map:
 *   Transform an `index` document into an ordered series of
 *   word objects, suitable for a full-text index.
 */
let map = (_result_fn, _doc) => {

  if (_doc.type !== 'index') {
    return false;
  }

  /* For each word... */
  (_doc.links || []).forEach((_l) => {

    /* Incoming tuple format:
        0: zone_id, 1: index_id, 2: offset,
        3: length, 4: target_node_id, 5: word_index  */

    _result_fn(_l.slice(0, 5), 1);
  });

  return true;
};

export { map };
export default { map: map, reduce: '_sum' };

