/* globals emit */

'use strict';

/**
 * @name map:
 *   Transform a `node` document into an ordered series of
 *   objects, suitable for a tag and/or keyphrase index.
 */
let map = (_result_fn, _doc) => {

  if (_doc.type !== 'index') {
    return false;
  }

  let tags = ((_doc.data || {}).tags || []);

  for (var i = 0, len = tags.length; i < len; ++i) {
    _result_fn([ _doc.zone_id, tags[i][1][0][0], i, _doc._id ], {
      type: _doc.type, tag: tags[i],
      _id: _doc.node_id, _rev: _doc._rev
    });
  }

  return true;
};

export { map };
export default { map: map };

