/* globals emit */

'use strict';

/**
 * @name map:
 *   Transform a `node` document into a single zone-document
 *   object, suitable indexing nodes within a zone.
 */
let map = (_result_fn, _doc) => {

  if (_doc.type !== 'node') {
    return false;
  }

  _result_fn([ _doc.zone_id, _doc.title, _doc._id ], {
    type: _doc.type, tags: _doc.tags,
    _id: _doc.index_id, _rev: _doc._rev
  });

  return true;
};

export { map };
export default { map: map };

