
'use strict';

import * as base_tests from './base';
import * as basex_tests from './utils/basex-tiny';
import * as engine_tests from './engine';
import * as events_tests from './events';
import * as exception_tests from './exception';
import * as indexer_tests from './indexer';
import * as iterator_tests from './iterator';
import * as iterator_array_tests  from './iterator/array';
import * as iterator_view_tests  from './iterator/view';
import * as iterator_join_tests  from './iterator/join';
import * as promise_tests  from './promise';
import * as proxy_tests  from './worker/proxy';
import * as schema_tests  from './schema';
import * as schema_pouchdb_tests  from './schema/pouchdb';
import * as schema_transform_tests  from './schema/transform';
import * as splitter_text_tests  from './splitter/text';
import * as splitter_html_tests  from './splitter/html';
import * as unicode_tests  from './utils/unicode';
import * as utils_tests  from './utils';
import * as validator_tests  from './validator';
import * as view_tests  from './view';
import * as worker_tests  from './worker';

import base from '../../src/base';
import engine from '../../src/engine';
import exception from '../../src/exception';
import promise from '../../src/promise';
import proxy from '../../src/worker/proxy';
import schema from '../../src/schema';
import utils from '../../src/utils';
import unicode from '../../src/utils/unicode';
import view from '../../src/view';
import worker from '../../src/worker';

export {
  base, engine, exception, promise,
    proxy, schema, unicode, utils, view, worker
};

export default {
  base: base,
  engine: engine,
  exception: exception,
  promise: promise,
  proxy: proxy,
  schema: schema,
  unicode: unicode,
  utils: utils,
  view: view,
  worker: worker
};

