
'use strict';

import chai from 'chai';
import exception from '../../../src/exception';
import unicode from '../../../src/utils/unicode';

/**
 * @name unicode:
 *   Unit tests for the Unicode utility module.
 */
describe('unicode', () => {

  let should = chai.should();

  /**
   * @name rejects invalid categories:
   */
  it('rejects invalid categories', () => {

    (() => unicode.regex_for_category('Invalid')).should.throw(
      exception.argument
    );
  });

  /**
   * @name applies filters:
   */
  it('applies filters', () => {

    let f = (_s) => _s.replace(';', '');
    let r1 = unicode.regex_for_category('P', false);
    let r2 = unicode.regex_for_category('P', false, f);

    should.not.exist(r2.match(';'));
    should.exist(r1.match(';'));
  });
});

